# Amuse: amuse::ReverbDelayLine Struct Reference

amuse::ReverbDelayLine Struct Reference

`#include <EffectReverb.hpp>`

Collaboration diagram for amuse::ReverbDelayLine:

## Public Member Functions

void | allocate (int32_t delay)
void | setdelay (int32_t delay)

## Public Attributes

int32_t | x0_inPoint = 0
int32_t | x4_outPoint = 0
int32_t | x8_length = 0
std::unique_ptr< float[]> | xc_inputs
float | x10_lastInput = 0.f

## Detailed Description

Delay state for one 'tap' of the reverb effect

Definition at line 12 of file EffectReverb.hpp.

The documentation for this struct was generated from the following file:

- include/amuse/EffectReverb.hpp